require "rubygems"
gem "tire_swing" # whoops, named this file the same as the gem!
require "tire_swing" # if you installed from github, this is "aniero-tire_swing"

module AST
  include TireSwing::NodeDefinition
  node :assignments, :assignments => array_of(:assignment, true)
  node :assignment, :lhs, :rhs
end

Treetop.load("tire_swing.treetop")
TireSwing.parses_grammar(Assignments, AST)

require "pp"
pp AssignmentsParser.ast(File.read("assignments.txt"))
